Skip to main content
PATCH
Update Workspace Webhook

Headers

x-api-key
string | null

Your API key for programmatic access. Send it in the x-api-key header; you can create and manage keys from the Developers page.

Path Parameters

webhook_id
string
required

The unique ID for the webhook

Example:

"G007vmtq9uWYl7SUW9zGS8GZZa1K"

Body

application/json
is_disabled
boolean
required

Whether to disable or enable the webhook

Example:

true

name
string
required

The display name of the webhook (used for display purposes only).

Example:

"My Callback Webhook"

retry_enabled
boolean | null

Whether to enable automatic retries for transient failures (5xx, 429, timeout)

Example:

true

request_headers
Request Headers · object | null

A list of request headers to include with the webhook delivery (optional)

events
enum<string>[] | null

The complete set of workspace-level events this webhook should be subscribed to. The webhook is added to the events in the list and removed from any not in the list. Omit to leave the current event subscriptions unchanged.

Available options:
voice_library_removal_notice,
speech_to_text,
agent_qa
Example:

Response

Successful Response

status
string
required

The status of the workspace webhook patch request. If the request was successful, the status will be 'ok'. Otherwise an error message with status 500 will be returned.